<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Footer Design</title>
  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
  <style>
    footer {
      background-color: #2c3e50;
      /* Warna latar belakang gelap */
      color: #ecf0f1;
      /* Warna teks terang */
      padding-top: 50px;
      padding-bottom: 20px;
    }

    footer a {
      color: #ecf0f1;
      /* Warna link putih */
      text-decoration: none;
      /* Menghilangkan garis bawah */
    }

    footer a:hover {
      color: #3498db;
      /* Warna link saat hover */
      text-decoration: underline;
      /* Tambahkan garis bawah saat hover */
    }

    footer h5 {
      font-weight: bold;
      letter-spacing: 1px;
      text-transform: uppercase;
    }

    footer p {
      font-size: 0.9rem;
      line-height: 1.6;
    }

    footer .fab {
      font-size: 1.5rem;
      transition: all 0.3s ease-in-out;
    }

    footer .fab:hover {
      color: #3498db;
      transform: scale(1.2);
      /* Animasi memperbesar ikon */
    }

    footer hr {
      border-top: 1px solid rgba(255, 255, 255, 0.2);
      margin: 20px 0;
    }

    @media (max-width: 768px) {
      footer .text-md-left {
        text-align: center !important;
      }
    }
  </style>
</head>

<body>
  <!-- Footer -->
  <footer class="bg-dark text-white pt-5 pb-4">
    <div class="container text-center text-md-left">
      <div class="row">

<!-- Kontak WhatsApp -->
<div class="row">
  <div class="col-md-12 d-flex justify-content-center align-items-center">
    <!-- Logo WhatsApp dan teks -->
    <a href="https://wa.me/6281297319625?text=Halo%20kami%20tertarik%20dengan%20produk%20Anda." target="_blank" class="d-flex align-items-center text-decoration-none">
      <img src="https://upload.wikimedia.org/wikipedia/commons/6/6b/WhatsApp.svg" alt="WhatsApp Logo" width="40" height="40" class="me-2">
      <span class="fw-bold text-success">Kontak Kami</span>
    </a>
  </div>
</div>
<div class="row mt-2">
  <div class="col-md-12 text-center">
    <p class="mb-0">2024 Hak Cipta Dilindungi. Dibuat dengan ❤ oleh Tim Kami | S2R MOTOR</p>
  </div>
</div>

  </footer>

  <!-- Scripts -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>