<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-dark fixed-top shadow-sm" id="mainNavbar">
    <div class="container">
        <!-- Tambahkan Logo -->
        <a class="navbar-brand fw-bold text-uppercase d-flex align-items-center" href="#">
            <img src="../../assets/img/Logo_S2R.png" alt="S2R Rental" class="me-2" style="width: 40px; height: 40px;">
            S2R Motor
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ms-auto">
                <li class="nav-item"><a class="nav-link text-white" href="../public/home.php#vehicles">Daftar Kendaraan</a></li>
                <li class="nav-item"><a class="nav-link text-white" href="../public/home.php#about-us">Tentang Kami</a></li>
                <li class="nav-item"><a class="nav-link text-white" href="../public/home.php#syaratketentuan">Syarat & Ketentuan</a></li>
                <li class="nav-item"><a class="nav-link text-white" href="../public/pesanan-saya.php">Pesanan Saya</a></li>
                <li class="nav-item"><a class="btn btn-danger text-white ms-2" href="../auth/logout.php">Logout</a></li>
            </ul>
        </div>
    </div>
</nav>

<style>
    /* Efek transisi halus */
    #mainNavbar {
        transition: background-color 0.5s ease, box-shadow 0.5s ease;
    }

    /* Navbar awal transparan */
    .navbar-transparent {
        background-color: rgba(0, 0, 0, 0.06);
    }

    /* Navbar setelah scroll (lebih gelap) */
    .navbar-darkened {
        background-color: rgba(0, 0, 0, 0.64);
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.60);
    }
</style>

<script>
    // JavaScript untuk mengatur animasi perubahan warna navbar saat scroll
    document.addEventListener("scroll", function () {
        const navbar = document.getElementById("mainNavbar");
        if (window.scrollY > 50) {
            navbar.classList.add("navbar-darkened");
            navbar.classList.remove("navbar-transparent");
        } else {
            navbar.classList.add("navbar-transparent");
            navbar.classList.remove("navbar-darkened");
        }
    });

    // Pastikan navbar transparan saat halaman pertama kali dimuat
    window.addEventListener("DOMContentLoaded", function () {
        const navbar = document.getElementById("mainNavbar");
        navbar.classList.add("navbar-transparent");
    });
</script>
