<?php
class AdminDashboard {
    private $conn;

    public function __construct() {
        $database = new Database();
        $this->conn = $database->getConnection();
    }

    public function getTotalUsers() {
        $query = "SELECT COUNT(*) AS total FROM tbl_user";
        return $this->conn->query($query)->fetch_assoc()['total'];
    }

    public function getTotalOrders() {
        $query = "SELECT COUNT(*) AS total FROM tbl_pesanan";
        return $this->conn->query($query)->fetch_assoc()['total'];
    }

    public function getTotalProducts() {
        $query = "SELECT COUNT(*) AS total FROM tbl_kendaraan";
        return $this->conn->query($query)->fetch_assoc()['total'];
    }

    public function getRecentUsers($limit = 10) {
        $query = "SELECT id_user, username_user, role_user FROM tbl_user ORDER BY id_user DESC LIMIT ?";
        $stmt = $this->conn->prepare($query);
        $stmt->bind_param("i", $limit);
        $stmt->execute();
        return $stmt->get_result();
    }
}
?>