<?php

class Pembayaran
{
    private $conn;

    public function __construct()
    {
        $database = new Database();
        $this->conn = $database->getConnection();
    }

    // Fungsi untuk mendapatkan pembayaran berdasarkan ID
    public function getPembayaranById($id_pembayaran) {
        $query = "SELECT * FROM tbl_pembayaran WHERE id_pembayaran = ?";
        $stmt = $this->conn->prepare($query);
        $stmt->bind_param("i", $id_pembayaran);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->fetch_assoc(); // Mengembalikan data pembayaran, termasuk no_rek dan nama_penerima
    }


    public function getAllPembayaran()
    {
        $sql = "SELECT * FROM tbl_pembayaran";
        $result = $this->conn->query($sql);
        return $result->fetch_all(MYSQLI_ASSOC);
    }
}
?>
